Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 75963003: Include folders in bookmark search (Closed)

Created:
5 years, 8 months ago by d.halman
Modified:
5 years, 7 months ago
Reviewers:
tfarina, Matt Perry, sky
CC:
chromium-reviews, tfarina, browser-components-watch_chromium.org, extensions-reviews_chromium.org, chromium-apps-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Include folders in bookmarks search. Folders are now returned in bookmark searches, and double clicking a folder from the results will allow the user to navigate the folder's contents. BUG=17306 TEST=unit_tests --gtest_filter=BookmarkUtilsTest.GetBookmarksContainingText R=mpcomplete,sky,tfarina Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=237497

Patch Set 1 #

Patch Set 2 : Change behavior for GetBookmarksContainingText #

Total comments: 1

Patch Set 3 : Incorporate changes in js browser test #

Patch Set 4 : Ready for trybots? #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -10 lines) Patch
M chrome/browser/bookmarks/bookmark_utils.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/bookmarks/bookmark_utils_unittest.cc View 1 2 1 chunk +10 lines, -7 lines 0 comments Download
M chrome/test/data/extensions/api_test/bookmarks/test.js View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
d.halman
mpcomplete@chromium.org: Please review changes in c/b/extensions brettw@chromium.org: Please review changes in c/b/bookmarks
5 years, 8 months ago (2013-11-19 17:38:52 UTC) #1
Matt Perry
lgtm
5 years, 8 months ago (2013-11-19 19:46:42 UTC) #2
tfarina
not lgtm (yet). less brett. +Scott for review. bookmarks_api.cc is the solo caller of GetBookmarksContainingText(). ...
5 years, 8 months ago (2013-11-19 21:38:12 UTC) #3
d.halman
Made the changes requested by tfarina, updated the test case to match new expected behavior.
5 years, 8 months ago (2013-11-21 20:52:03 UTC) #4
tfarina
Other than the name issue below, I'm fine with this. Thanks for making the minimal ...
5 years, 8 months ago (2013-11-21 23:00:16 UTC) #5
sky
LGTM
5 years, 8 months ago (2013-11-21 23:32:28 UTC) #6
tfarina
I put this on CQ!
5 years, 8 months ago (2013-11-22 23:26:00 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/d.halman@gmail.com/75963003/60001
5 years, 8 months ago (2013-11-22 23:27:44 UTC) #8
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=194254
5 years, 8 months ago (2013-11-23 01:33:24 UTC) #9
tfarina
The test failures are real. You need to fix ExtensionApiTest.Bookmarks too.
5 years, 8 months ago (2013-11-23 01:50:23 UTC) #10
d.halman
Modified bookmarks/test.js to expect the change in behavior. Ran the bookmark browser tests locally to ...
5 years, 7 months ago (2013-11-26 00:12:44 UTC) #11
tfarina
lgtm
5 years, 7 months ago (2013-11-26 22:34:56 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/d.halman@gmail.com/75963003/460001
5 years, 7 months ago (2013-11-26 22:36:36 UTC) #13
commit-bot: I haz the power
5 years, 7 months ago (2013-11-27 03:49:46 UTC) #14
Message was sent while issue was closed.
Change committed as 237497

Powered by Google App Engine
This is Rietveld 408576698